<div class="company-client-dialog">
  <div class="container">
    <mat-toolbar>
      <span>{{eventService.eventForm.controls['$key']?.value ? "Edycja wydarzenia" : "Dodawanie wydarzenia"}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="eventService.eventForm" (submit)="onSubmit()">
      <div fxLayout="column">

        <mat-form-field>
          <input matInput formControlName="name" placeholder="Nawa wydarzenia" required>
          <mat-error>Nazwa wydarzenia jest wymagana.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="startDate" [matDatepicker]="starDatePicker" placeholder="Data rozpoczęcia" required>
          <mat-datepicker-toggle matSuffix [for]="starDatePicker"></mat-datepicker-toggle>
          <mat-datepicker #starDatePicker></mat-datepicker>
          <mat-error>Data rozpoczęcia wydarzenia jest wymagana</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="endDate" [matDatepicker]="endDatePicker" placeholder="Data zakończenia" required>
          <mat-datepicker-toggle matSuffix [for]="endDatePicker"></mat-datepicker-toggle>
          <mat-datepicker #endDatePicker></mat-datepicker>
          <mat-error>Data zakończenia wydarzenia jest wymagana.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="time" placeholder="Godzina rozpoczęcia" required>
          <mat-hint>Podaj godzinę w formacie hh:mm</mat-hint>
        </mat-form-field>

        <mat-form-field *ngIf="!privateEventEdit">
          <mat-select formControlName="participant" placeholder="Wybór uczestnika"
                      [value]="eventService.eventForm.get('participant').value">
            <mat-option *ngFor="let employee of (employees$ | async)"
                        value="{{employee?.id}}"> {{employee?.data?.firstName}} {{employee?.data?.lastName}}
            </mat-option>
          </mat-select>
          <mat-error>Wybór uczestnika jest wymagany.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="place" placeholder="Miejsce wydarzenia">
        </mat-form-field>
      </div>

      <div class="button-row">
        <button mat-raised-button color="primary" type="submit" [disabled]="eventService.eventForm.invalid">
          Zapisz
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
      </div>

    </form>
  </div>
</div>
